Skip to main content
POST
Create activities in bulk
Requires permission:
Requires permission:
Read more about the Activity data models.
Bulk operations take a maximum of 1,000 items per request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
uuid
string<uuid>
name
string
Example:

"Name"

created
string

ISO 8601 date

Example:

"2021-01-01T00:00:00.000Z"

updated
string

ISO 8601 date

Example:

"2021-01-31T23:59:59.000Z"

syncId
string

An identifier to use when syncing data with other systems. Read more

Example:

"sync123"

description
string
quantity
number
Example:

150

unit
string

The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the List Units endpoint.

Example:

"kg"

UpstreamCO2e
string

if passed, the value will be used instead of the computed value

Example:

"1234"

DownstreamCO2e
string

if passed, the value will be used instead of the computed value

Example:

"0.5678"

product
object
scope
object
taxonomy
object

A reference to a taxonomy category, including its machine-readable path.

org
object
startDate
string

ISO 8601 date

Example:

"2021-01-01T00:00:00.000Z"

endDate
string

ISO 8601 date

Example:

"2021-01-01T00:00:00.000Z"

Response

Job status

jobId
string
Example:

"job_123456"

status
string
Example:

"processing"

totalOperations
integer
Example:

100

jobUrl
string
Example:

"https://app.variable.global/api/v1/job/job_123456"

message
string
Example:

"Bulk operation job created. Use GET /v1/job/<job_id> to check status."